import fundamentos.*;

/**
 * Programa que simula el funcionamiento de un sistema masa-muelle con un
 * movimiento oscilatorio forzado por una fuerza externa. Dibuja una grafica 
 * del movimiento segun el tiempo
 * 
 * @author (Michael)) 
 * @version (mar 2015)
 */
public class SimuladorMuelle
{
    /**
     * Programa principal que crea el sistema masa muelle y dibuja la grafica
     */
    public static void main(String[] args) {
        // Se crea el sistema con estos parametros:
        // k=75.0 N/m
        // m=0.5 Kg
        // f0=12.0 N
        // w=5.0 rad/seg
        SistemaMasaMuelle sist=new SistemaMasaMuelle(75.0,0.5,12.0,5.0);
        Grafica g= new Grafica("Sistema Masa Muelle","t(seg)","x(m)");

        g.ponColor(Grafica.rojo);

        //bucle para incrementar el tiempo entre 0 y 4, con 0.02s de incremento
        for (double t=0.0; t<=4.00000001; t+=0.02) {
            // se simula el sistema con fase=45 grados y coeficiente C=0.3 m
            g.inserta(t,sist.posicion(t,45,0.3));
        }
        // dibujar la grafica
        g.pinta();
    }
}
